//+------------------------------------------------------------------+
//|                                   FXA0 - CCI Majoro ver1 IND.mq4 |
//|                            Copyright  2007 Adam J. Richter M.S. |
//|                                                                  |
//|  This indicator plots the cci and the moving average of the      |
//|  cci.                                                            |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007 Adam J. Richter M.S."
#property link      ""

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Blue

extern int cci_period=12;
extern int cci_timeframe=0; //0 if timeframe of chart put on, otherwise specify

extern int wmacci_period=6;

double cci[];
double wmacci[];

int i=0; //my counter

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,cci);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,wmacci);
   SetIndexLabel(0,"cci");
   SetIndexLabel(1,"wmacci");
//----
   return(1);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   
   for (i=Bars; i>=0; i--) //fill cci array with cci values
   {
      cci[i]=iCCI(NULL,cci_timeframe,cci_period,PRICE_WEIGHTED,i);
   }
   ArraySetAsSeries(cci,true); //reverse contents of array
   for (i=Bars; i>=0; i--) //fill cci array with cci values
   {
      wmacci[i]=iMAOnArray(cci,0,wmacci_period,0,MODE_LWMA,i);
   }
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+